<?php
session_start();
ob_start();
if ($_SESSION['islogin']=='' ) { 
  echo "ΠΡΕΠΕΙ ΝΑ ΕΓΓΡΑΦΕΙΤΕ ΓΙΑ ΝΑ ΧΡΗΣΙΜΟΠΟΙΗΣΕΤΕ ΤΟ ΣΥΣΤΗΜΑ"."<BR>";
  sleep(3);
  header("Location: loginall.php"); /* Redirect browser */
  exit();
  }
$menu = $_SESSION['menu'];
include $menu;
?><head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<style type="text/css">
table.myTable { border-collapse:collapse; }
table.myTable td, table.myTable th { border:1px solid black;padding:2px;font-size:11px; }
<p style="font-size:09px;"></p>
</style>
<body>

<h3>ΕΠΙΣΚΟΠΗΣΗ ΕΚΓΥΚΛΙΩΝ </h3>
<?php
date_default_timezone_set("Europe/Athens");
require "dbconnect.php";
$usr=$_SESSION['usr'];
$dt=$_SESSION['dt'];
$date=$dt;
echo "<br>"."<br>";

if (isset($_POST['dt1'])) {
	$date=$_POST['dt1'];
	
}

// define the form into a variable
$fhtml = '<form action="" method="post">
Επέλεξε από ποια Ημερομηνία : <input type="date" name="dt1" value="'. $date. '" />
 <input type="submit" value="Επιλογή Ημερομηνίας" />
</form>';

echo $fhtml;         // output /display the form
echo "<br>"."<br>";

if (isset($_POST['dt1'])) {
	$date=$_POST['dt1'];
}
if ($date==$dt)
{
echo "ΕΓΚΥΚΛΙΟΙ ΠΟΥ ΛΗΦΘΗΚΑΝ ΜΕΧΡΙ ΣΗΜΕΡΑ "."<b>".date('d-m-Y', strtotime($date))."</b>"."<br>"."<br>";	
$sql1 = "SELECT * FROM egkiklioi WHERE status <> '9' order by datedue asc " ;
}
else
{
echo "ΕΓΚΥΚΛΙΟΙ ΠΟΥ ΛΗΦΘΗΚΑΝ ΑΠΟ "."<b>".date('d-m-Y', strtotime($date))."</b>". "  ΜΕΧΡΙ ΣΗΜΕΡΑ "."<b>".date('d-m-Y', strtotime($dt))."</b>"."<br>"."<br>";		
$sql1 = "SELECT * FROM egkiklioi WHERE status <> '9' and datein >= '$date' order by datedue asc" ;
}

if (!mysqli_query($con,$sql1)) {die('Error: ' . mysqli_error($con));   }
$res=mysqli_query($con,$sql1);
$c=mysqli_num_rows($res);

if ($c==0){echo " ΔΕΝ ΥΠΑΡΧΟΥΝ ΕΓΚΥΚΛΙΟΙ  ";
}
else
{


echo "<table style='width:1200px' class='myTable' >
<tr style='border:1px solid black' bgcolor='#819FF7'  >
<th>Κωδ.</th>
<th>Ημερ.Κατ</th>
<th>Περιγραφή</th>
<th>Διεύθυνση</th>
<th>Βοηθός</th>
<th>Καθηγητής</th>
<th>Ημερ.Δράσης</th>
<th>Λήψη</th>
<th>Ενέργεια</th>
</tr>";	

$perigrafi=" ";
$row = mysqli_fetch_array($res);
while (!empty($row) )
{
	
  if ($perigrafi <> $row['perigrafi'])
  {
	$perigrafi=$row['perigrafi'];
	$code=$row['id'];
	$voithos=$row['bdres'];
	$teach=$row['tres'];
	
	$url=$row['url'];
	$datedue=$row['datedue'];
	$datein=$row['datein'];
	$status=$row['status'];
	$stat='';
	switch ($status) {
    case "1":
        $stat = "ΝΑΙ";
        break;
    case "2":
        $stat = "ΓΙΑ ΕΝΗΜΕΡΩΣΗ";
        break;
    case "3":
        $stat = "ΣΕ ΔΙΑΔΙΚΑΣΙΑ";
        break;
    case "4":
        $stat = "ΟΛΟΚΛΗΡΩΘΗΚΕ";
        break;
	case "5":
        $stat = "ΕΠΕΙΓΟΝ";
        break;	
    }
	if ($voithos<>"1111")
	{		
	$sqlx=mysqli_query($con,"SELECT Name  FROM teachers  WHERE  PMP='$voithos' " );
    $row2 = mysqli_fetch_array($sqlx);
    $vdname=$row2['Name'];
	}
	else
	{
	$vdname="ΟΛΟΙ";	
	}
	if ($teach <>"1111" AND $teach <> '0')
	{		
	$sqlx=mysqli_query($con,"SELECT Name  FROM teachers  WHERE  PMP='$teach' " );
    $row2 = mysqli_fetch_array($sqlx);
    $tname=$row2['Name'];
	}
	elseif($teach <>"1111")
	{
		   $tname="ΔΕΝ ΙΣΧΥΕΙ";	
	}
	else
	{
	       $tname="ΟΛΟΙ";	
	}
	$view='checked';

echo "<tr>";
echo "<td>" .  "<a href=\"editegkiklios.php?data=".$code."\">"."<b>".$code."</b>". "</a>". "</td>";
echo "<td>" . $datein. "</td>";
echo "<td>" . $perigrafi. "</td>";
echo "<td>" . "<a href=$url>"."<b>".$url."</b>". "</a>". "</td>";
echo "<td>" . $vdname. "</td>";
echo "<td>" . $tname. "</td>";
echo "<td>" . $datedue. "</td>";
echo "<td>" . "<input type='checkbox' name='view'".$view." >". "</td>";
echo "<td>" . $stat. "</td>";
echo "</tr>"; 
	
	//.............................................


}
$row = mysqli_fetch_array($res);
}
echo "</table>";
echo "<br>"."<br>";
}
 ?>
 <br /> <br />
<a  href=<?php echo $menu;?> style="color:blue "  > <button> Επιστροφή στο Μενού   </a> 
</body>
</html>